(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/cdk/overlay'), require('@angular/cdk/a11y'), require('@angular/cdk/bidi'), require('@angular/cdk/observers'), require('@angular/cdk/portal'), require('@angular/material'), require('@angular/common')) :
	typeof define === 'function' && define.amd ? define('@breneslabs/step1-module', ['exports', '@angular/core', '@angular/cdk/overlay', '@angular/cdk/a11y', '@angular/cdk/bidi', '@angular/cdk/observers', '@angular/cdk/portal', '@angular/material', '@angular/common'], factory) :
	(factory((global.breneslabs = global.breneslabs || {}, global.breneslabs['step1-module'] = {}),global.ng.core,global.ng.cdk.overlay,global.ng.cdk.a11y,global.ng.cdk.bidi,global.ng.cdk.observers,global.ng.cdk.portal,global.ng.material,global.ng.common));
}(this, (function (exports,core,overlay,a11y,bidi,observers,portal,material,common) { 'use strict';

var Step1Component = /** @class */ (function () {
    function Step1Component() {
        this.texto = 'Texto';
    }
    Step1Component.prototype.ngOnInit = function () {
    };
    return Step1Component;
}());
Step1Component.decorators = [
    { type: core.Component, args: [{
                selector: 'app-step1',
                template: "<p>\n  <mat-toolbar style=\"background-color: blue; color: white\">\n    Este es el toolbar\n    <div style=\"flex: 1\"></div>\n    <button mat-icon-button (click)=\"texto = texto + '1'\">\n      <mat-icon>menu</mat-icon>\n    </button>\n  </mat-toolbar>\n  <mat-card>\n    <mat-card-title-group>\n    </mat-card-title-group>\n    <mat-card-content>\n      {{ texto }}\n    </mat-card-content>\n    <mat-card-actions>\n      <button mat-button>\n        Bot-on 1\n      </button>\n      <button mat-button>\n        Bot-on 2\n      </button>\n      <button mat-button>\n        Bot-on 3\n      </button>\n      <button mat-button>\n        Bot-on 4\n      </button>\n    </mat-card-actions>\n  </mat-card>\n</p>\n",
                styles: [""]
            },] },
];
Step1Component.ctorParameters = function () { return []; };
var MATERIAL_MODULES = [
    material.MatAutocompleteModule,
    material.MatButtonModule,
    material.MatButtonToggleModule,
    material.MatCardModule,
    material.MatChipsModule,
    material.MatCheckboxModule,
    material.MatDatepickerModule,
    material.MatTableModule,
    material.MatDialogModule,
    material.MatExpansionModule,
    material.MatFormFieldModule,
    material.MatGridListModule,
    material.MatIconModule,
    material.MatInputModule,
    material.MatListModule,
    material.MatMenuModule,
    material.MatPaginatorModule,
    material.MatProgressBarModule,
    material.MatProgressSpinnerModule,
    material.MatRadioModule,
    material.MatRippleModule,
    material.MatSelectModule,
    material.MatSidenavModule,
    material.MatSliderModule,
    material.MatSlideToggleModule,
    material.MatSnackBarModule,
    material.MatSortModule,
    material.MatTabsModule,
    material.MatToolbarModule,
    material.MatTooltipModule,
    overlay.OverlayModule,
    portal.PortalModule,
    bidi.BidiModule,
    a11y.A11yModule,
    material.MatCommonModule,
    observers.ObserversModule,
    material.MatNativeDateModule,
    material.MatStepperModule
];
var MyMaterialModule = /** @class */ (function () {
    function MyMaterialModule() {
    }
    return MyMaterialModule;
}());
MyMaterialModule.decorators = [
    { type: core.NgModule, args: [{
                imports: MATERIAL_MODULES,
                exports: MATERIAL_MODULES,
                declarations: [],
            },] },
];
var Step1Module = /** @class */ (function () {
    function Step1Module() {
    }
    return Step1Module;
}());
Step1Module.decorators = [
    { type: core.NgModule, args: [{
                imports: [
                    common.CommonModule,
                    MyMaterialModule
                ],
                declarations: [
                    Step1Component
                ],
                exports: [
                    Step1Component
                ]
            },] },
];

exports.Step1Module = Step1Module;
exports.ɵa = MyMaterialModule;
exports.ɵb = Step1Component;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=breneslabs-step1-module.umd.js.map
