import { Component, NgModule } from '@angular/core';
import { OverlayModule } from '@angular/cdk/overlay';
import { A11yModule } from '@angular/cdk/a11y';
import { BidiModule } from '@angular/cdk/bidi';
import { ObserversModule } from '@angular/cdk/observers';
import { PortalModule } from '@angular/cdk/portal';
import { MatCommonModule, MatStepperModule, MatRippleModule, MatButtonToggleModule, MatButtonModule, MatCheckboxModule, MatRadioModule, MatSelectModule, MatSlideToggleModule, MatSliderModule, MatSidenavModule, MatListModule, MatGridListModule, MatCardModule, MatChipsModule, MatIconModule, MatProgressSpinnerModule, MatProgressBarModule, MatInputModule, MatSnackBarModule, MatTabsModule, MatToolbarModule, MatTooltipModule, MatMenuModule, MatDialogModule, MatAutocompleteModule, MatNativeDateModule, MatDatepickerModule, MatExpansionModule, MatTableModule, MatSortModule, MatPaginatorModule, MatFormFieldModule } from '@angular/material';
import { CommonModule } from '@angular/common';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
class Step1Component {
    constructor() {
        this.texto = 'Texto';
    }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
}
Step1Component.decorators = [
    { type: Component, args: [{
                selector: 'app-step1',
                template: `<p>
  <mat-toolbar style="background-color: blue; color: white">
    Este es el toolbar
    <div style="flex: 1"></div>
    <button mat-icon-button (click)="texto = texto + '1'">
      <mat-icon>menu</mat-icon>
    </button>
  </mat-toolbar>
  <mat-card>
    <mat-card-title-group>
    </mat-card-title-group>
    <mat-card-content>
      {{ texto }}
    </mat-card-content>
    <mat-card-actions>
      <button mat-button>
        Bot-on 1
      </button>
      <button mat-button>
        Bot-on 2
      </button>
      <button mat-button>
        Bot-on 3
      </button>
      <button mat-button>
        Bot-on 4
      </button>
    </mat-card-actions>
  </mat-card>
</p>
`,
                styles: [``]
            },] },
];
/** @nocollapse */
Step1Component.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
const MATERIAL_MODULES = [
    MatAutocompleteModule,
    MatButtonModule,
    MatButtonToggleModule,
    MatCardModule,
    MatChipsModule,
    MatCheckboxModule,
    MatDatepickerModule,
    MatTableModule,
    MatDialogModule,
    MatExpansionModule,
    MatFormFieldModule,
    MatGridListModule,
    MatIconModule,
    MatInputModule,
    MatListModule,
    MatMenuModule,
    MatPaginatorModule,
    MatProgressBarModule,
    MatProgressSpinnerModule,
    MatRadioModule,
    MatRippleModule,
    MatSelectModule,
    MatSidenavModule,
    MatSliderModule,
    MatSlideToggleModule,
    MatSnackBarModule,
    MatSortModule,
    MatTabsModule,
    MatToolbarModule,
    MatTooltipModule,
    OverlayModule,
    PortalModule,
    BidiModule,
    A11yModule,
    MatCommonModule,
    ObserversModule,
    MatNativeDateModule,
    MatStepperModule
];
class MyMaterialModule {
}
MyMaterialModule.decorators = [
    { type: NgModule, args: [{
                imports: MATERIAL_MODULES,
                exports: MATERIAL_MODULES,
                declarations: [],
            },] },
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
class Step1Module {
}
Step1Module.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    MyMaterialModule
                ],
                declarations: [
                    Step1Component
                ],
                exports: [
                    Step1Component
                ]
            },] },
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * Generated bundle index. Do not edit.
 */

export { Step1Module, MyMaterialModule as ɵa, Step1Component as ɵb };
//# sourceMappingURL=breneslabs-step1-module.js.map
