import { Component, NgModule } from '@angular/core';
import { OverlayModule } from '@angular/cdk/overlay';
import { A11yModule } from '@angular/cdk/a11y';
import { BidiModule } from '@angular/cdk/bidi';
import { ObserversModule } from '@angular/cdk/observers';
import { PortalModule } from '@angular/cdk/portal';
import { MatCommonModule, MatStepperModule, MatRippleModule, MatButtonToggleModule, MatButtonModule, MatCheckboxModule, MatRadioModule, MatSelectModule, MatSlideToggleModule, MatSliderModule, MatSidenavModule, MatListModule, MatGridListModule, MatCardModule, MatChipsModule, MatIconModule, MatProgressSpinnerModule, MatProgressBarModule, MatInputModule, MatSnackBarModule, MatTabsModule, MatToolbarModule, MatTooltipModule, MatMenuModule, MatDialogModule, MatAutocompleteModule, MatNativeDateModule, MatDatepickerModule, MatExpansionModule, MatTableModule, MatSortModule, MatPaginatorModule, MatFormFieldModule } from '@angular/material';
import { CommonModule } from '@angular/common';

var Step1Component = /** @class */ (function () {
    function Step1Component() {
        this.texto = 'Texto';
    }
    Step1Component.prototype.ngOnInit = function () {
    };
    return Step1Component;
}());
Step1Component.decorators = [
    { type: Component, args: [{
                selector: 'app-step1',
                template: "<p>\n  <mat-toolbar style=\"background-color: blue; color: white\">\n    Este es el toolbar\n    <div style=\"flex: 1\"></div>\n    <button mat-icon-button (click)=\"texto = texto + '1'\">\n      <mat-icon>menu</mat-icon>\n    </button>\n  </mat-toolbar>\n  <mat-card>\n    <mat-card-title-group>\n    </mat-card-title-group>\n    <mat-card-content>\n      {{ texto }}\n    </mat-card-content>\n    <mat-card-actions>\n      <button mat-button>\n        Bot-on 1\n      </button>\n      <button mat-button>\n        Bot-on 2\n      </button>\n      <button mat-button>\n        Bot-on 3\n      </button>\n      <button mat-button>\n        Bot-on 4\n      </button>\n    </mat-card-actions>\n  </mat-card>\n</p>\n",
                styles: [""]
            },] },
];
Step1Component.ctorParameters = function () { return []; };
var MATERIAL_MODULES = [
    MatAutocompleteModule,
    MatButtonModule,
    MatButtonToggleModule,
    MatCardModule,
    MatChipsModule,
    MatCheckboxModule,
    MatDatepickerModule,
    MatTableModule,
    MatDialogModule,
    MatExpansionModule,
    MatFormFieldModule,
    MatGridListModule,
    MatIconModule,
    MatInputModule,
    MatListModule,
    MatMenuModule,
    MatPaginatorModule,
    MatProgressBarModule,
    MatProgressSpinnerModule,
    MatRadioModule,
    MatRippleModule,
    MatSelectModule,
    MatSidenavModule,
    MatSliderModule,
    MatSlideToggleModule,
    MatSnackBarModule,
    MatSortModule,
    MatTabsModule,
    MatToolbarModule,
    MatTooltipModule,
    OverlayModule,
    PortalModule,
    BidiModule,
    A11yModule,
    MatCommonModule,
    ObserversModule,
    MatNativeDateModule,
    MatStepperModule
];
var MyMaterialModule = /** @class */ (function () {
    function MyMaterialModule() {
    }
    return MyMaterialModule;
}());
MyMaterialModule.decorators = [
    { type: NgModule, args: [{
                imports: MATERIAL_MODULES,
                exports: MATERIAL_MODULES,
                declarations: [],
            },] },
];
var Step1Module = /** @class */ (function () {
    function Step1Module() {
    }
    return Step1Module;
}());
Step1Module.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    MyMaterialModule
                ],
                declarations: [
                    Step1Component
                ],
                exports: [
                    Step1Component
                ]
            },] },
];

export { Step1Module, MyMaterialModule as ɵa, Step1Component as ɵb };
//# sourceMappingURL=breneslabs-step1-module.js.map
